> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create tag

> Create a new tag for a subgraph version



## OpenAPI

````yaml /open-api/0xgraph.yaml post /api/project_subgraph/create_tag
openapi: 3.0.3
info:
  title: 0xGraph API
  version: 1.0.0
  description: API for managing subgraph tags and deployments
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.subgraph.ormilabs.com
    description: Data controllers
security: []
paths:
  /api/project_subgraph/create_tag:
    post:
      summary: Create tag
      description: Create a new tag for a subgraph version
      operationId: createTag
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                project_id:
                  type: string
                  description: Project ID
                subgraph_name:
                  type: string
                  description: Subgraph name
                version:
                  type: string
                  description: Version
                tag:
                  type: string
                  description: Tag
              required:
                - project_id
                - subgraph_name
                - version
                - tag
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TagResponse'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    TagResponse:
      type: object
      properties:
        code:
          type: integer
        msg:
          type: string
        data:
          type: object
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.